Skip to main content
GET
/
cost-periods
List cost periods
curl --request GET \
  --url https://www.ruddr.io/api/workspace/cost-periods \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://www.ruddr.io/api/workspace/cost-periods"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://www.ruddr.io/api/workspace/cost-periods', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "results": [
    {
      "id": "a3f72b14-9c81-4e2d-b6a5-d1e8f3c04792",
      "isDefault": false,
      "start": "2025-01-01",
      "end": "2025-12-31",
      "currency": "USD",
      "costMethodId": "fixed_monthly",
      "costPerHour": null,
      "overheadCostPerHour": null,
      "totalCostPerHour": null,
      "costPerMonth": 12000,
      "overheadCostPerMonth": 3000,
      "totalCostPerMonth": 15000,
      "createdAt": "2025-01-01T09:00:00.000Z"
    }
  ],
  "hasMore": false
}
{
"status": 400,
"message": "Parameter 'startingAfter' is not a valid UUID."
}
A period defining the per-hour labor and overhead costs for a member.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

startingAfter
string

A cursor ID (uuid) used to request the next page of results. If not provided, defaults to the first page of results.

endingBefore
string

A cursor ID (uuid) used to request the previous page of results. Is mutually exclusive with startingAfter.

limit
integer

The maximum number of results to be returned. Can be any number from 1 to 100. Defaults to 10, if not provided.

memberId
string

A member ID (uuid) used to filter cost periods for a specific member.

Response

200

results
object[]

The list of results for the current page.

hasMore
boolean

Whether there are more results available after this page.